import java.util.Random;
import java.util.Date;

// compile with 'javac Airplane.java'
// run with 'java -classpath . Airplane'

public class Airplane {

    private int id;
    private int speed;

    private static Random generator = new Random(new Date().getTime());

    public Airplane(int id, int speed) {
        this.id = id;
        this.speed = speed;
    }

    public int getSpeed() {
        return speed;
    }

    public int getId() {
        return id;
    }

    public void setSpeed(int speed) {
        this.speed = speed;
    }

    public static void main(String[] args) {
        Airplane[] planes = new Airplane[100];
        for (int i = 0; i < 100; i++) {
            planes[i] = new Airplane(i, generator.nextInt(450));
        }
        for (int i = 0; i < 100; i++) {
            System.out.println("Airplane " + planes[i].getId() + " has speed: " + planes[i].getSpeed());
        }

        System.out.println();
        System.out.println("Airplane 0 has speed: " + planes[0].getSpeed());
        planes[0].setSpeed(1000);
        System.out.println("Now it has speed: " + planes[0].getSpeed());

        // uncomment next line to encounter compile time error
        //planes[0].setId(2000);
        
    }

}
