// compile with 'javac Jet.java'
// run with 'java -classpath . Jet'

class Airplane {

    private int id;

    // made speed a public instance variable
    public  int speed;

    public Airplane(int id, int speed) {
        this.id = id;
        setSpeed(speed);
    }

    public int getSpeed() {
        return speed;
    }

    public int getId() {
        return id;
    }

    public void setSpeed(int speed) {
        this.speed = speed;
    }

}

public class Jet extends Airplane {

    private static final int MULTIPLIER = 2;
    
    public Jet(int id, int speed) {
        super(id, speed);
    }
    
    public void setSpeed(int speed) {
        super.setSpeed(speed * MULTIPLIER);
    }
    
    public void accelerate() {
        super.setSpeed(getSpeed() * 2);
    }

    public static void main(String[] args) {
        Jet jet1 = new Jet(1, 100);
        System.out.println("Jet 1's speed is: " + jet1.speed);
        jet1.speed = 212;
        System.out.println("Jet 1's speed is: " + jet1.speed);

        System.out.println();

        Jet jet2 = new Jet(2, 100);
        System.out.println("Jet 2's speed is: " + jet2.getSpeed());
        jet2.setSpeed(212);
        System.out.println("Jet 2's speed is: " + jet2.getSpeed());

    }

}
